{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine btree.extract, update_index, rlist, end_dialog\r\ndeclare subroutine activate_save_select\r\ndeclare function msg, key_sort, utility, fieldcount, ex_vm_rem, Get_Property\r\n$insert lsl_users_equ\r\n$insert msg_equates\r\n$insert rlist_equates\r\n\r\nWithStmt = ''\r\n\r\nStartDateFrom = .start_date_from->text\r\nStartDateThru = .start_date_thru->text\r\n\r\nif StartDateFrom = '' Or StartDateThru = '' then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must enter a date from and thru...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\n\r\nBegDteNum = Iconv(StartDateFrom,'D')\r\nEndDteNum = Iconv(StartDateThru,'D')\r\nDteDifNum = EndDteNum - BegDteNum\r\nIf DteDifNum < 0 Then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'Date From can not be greater than Date Thru...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\n\r\n*If DteDifNum > 31 then \r\n*    MsgInfo = ''\r\n*    MsgInfo<mtext$> = 'Difference in dates can not be greater than 31 days...'\r\n*    MsgInfo<micon$> = '!'\r\n*    Void = msg( '', MsgInfo )\r\n*    return 0\r\n*end\r\n\r\n\r\n@user0 = BegDteNum\r\n@user1 = EndDteNum\r\n\r\nCustNo = Get_Property(@WINDOW:'.CUST_INFO','ARRAY')<1,1>\r\n\r\n\r\nLOOP\r\n\tTestVal = CustNo[-1,'B':@VM]\r\nUNTIL TestVal NE '' OR CustNo = ''\r\n\tCustNo[-1,1] = ''\r\nREPEAT\r\n\r\nend_dialog( @window, StartDateFrom:'*':StartDateThru:'*':'':'*':CustNo )\r\nreturn 0\r\n"
        }
    }
}